import { baggageEntryMetadataSymbol } from './internal/symbol';
export interface BaggageEntry {
    /** `String` value of the `BaggageEntry`. */
    value: string;
    /**
     * Metadata is an optional string property defined by the W3C baggage specification.
     * It currently has no special meaning defined by the specification.
     */
    metadata?: BaggageEntryMetadata;
}
/**
 * Serializable Metadata defined by the W3C baggage specification.
 * It currently has no special meaning defined by the OpenTelemetry or W3C.
 */
export declare type BaggageEntryMetadata = {
    toString(): string;
} & {
    __TYPE__: typeof baggageEntryMetadataSymbol;
};
//# sourceMappingURL=Entry.d.ts.map